Loading...
Searching...
No Matches
l4_timeout_s Struct Reference
Base API » Object Invocation » Timeouts

Basic timeout specification. More...

`#include <__timeout.h>`

Collaboration diagram for l4_timeout_s:

## Data Fields

l4_uint16_t | t
| timeout value

## Detailed Description

Basic timeout specification.

If bit 15 == 0, basically a floating point number with 10 bits mantissa and 5 bits exponent (t = m*2^e).

If the mantissa is zero, the exponent encodes special values, see L4_IPC_TIMEOUT_0 and L4_IPC_TIMEOUT_NEVER.

If bit 15 == 1 the timeout is absolute and the lower 6 bits encode the index of the UTCB buffer register(s) holding the absolute 64-bit timeout value. On 32-bit systems, two consecutive UTCB buffer registers are used.

Definition at line 40 of file __timeout.h.

The documentation for this struct was generated from the following file:

- l4/sys/__timeout.h